# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-

**请求样例:**
```

{
    "loginName":"zhang3",
    "password":"123456"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-
data|Object|数据对象|-
&emsp;token|String|jwt token认证信息|-
&emsp;user|Object|用户信息|-
&emsp;&emsp;id|Long|用户ID
&emsp;&emsp;loginName|String|登录名
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;siteIds|String|所属站点id,多个逗号分隔
&emsp;&emsp;areaCodes|String|所属区域code,多个逗号分隔
&emsp;&emsp;menuList|Arrays|菜单列表，树结构
&emsp;&emsp;&emsp;id|Long|菜单ID，主键
&emsp;&emsp;&emsp;name|String|菜单名称
&emsp;&emsp;&emsp;url|String|连接地址
&emsp;&emsp;&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;&emsp;&emsp;linkType|Integer|链接方式，(0.内链，1.外链，2.脚本)
&emsp;&emsp;&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;&emsp;&emsp;buttonImgPath|String|按钮图标
&emsp;&emsp;&emsp;imgCommPath|String|常用菜单图标
&emsp;&emsp;&emsp;visible|Integer|菜单显示(0.隐藏，1.显示)
&emsp;&emsp;&emsp;menuType|Integer|菜单类型(0.目录，1.菜单，2.按钮)
&emsp;&emsp;&emsp;status|Integer|菜单状态(0.禁用，1.启用)
&emsp;&emsp;&emsp;authType|Integer|权限类型(0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
&emsp;&emsp;&emsp;orderId|Integer|排序编号
&emsp;&emsp;&emsp;childList|Arrays|菜单子列表

**响应消息样例:**
```
{
    "msg":"用户登录系统成功!",
    "code":1,
    "data":{
        "user":{
            "areaCodes":"",
            "createTime":1654132346000,
            "createUserId":1,
            "createUserName":"admin",
            "expireTime":1654223524841,
            "id":1,
            "lastLoginAddress":"127.0.0.1",
            "lastLoginTime":1654132346000,
            "loginName":"admin",
            "loginTime":1654137124841,
            "manager":false,
            "menuList":[
                {
                    "authType":0,
                    "childList":[
                        {
                            "authType":1,
                            "childList":[
                                {
                                    "authType":1,
                                    "childList":[

                                    ],
                                    "id":3,
                                    "linkType":1,
                                    "menuType":2,
                                    "name":"排号系统",
                                    "orderId":3,
                                    "parentId":2,
                                    "status":1,
                                    "url":"http://www.baidu.com",
                                    "visible":1
                                }
                            ],
                            "id":2,
                            "linkType":0,
                            "menuType":0,
                            "name":"聚集服务",
                            "orderId":2,
                            "parentId":1,
                            "status":1,
                            "visible":1
                        }
                    ],
                    "id":1,
                    "linkType":0,
                    "menuType":0,
                    "name":"数据管理",
                    "orderId":1,
                    "parentId":-1,
                    "status":1,
                    "visible":1
                }
            ],
            "mobile":"13808095770",
            "realName":"系统管理员",
            "siteIds":""
        },
        "token":"eyJhbGciOiJIUzI1NiJ9.eyJsb2dpbl91c2VyX2tleSI6IjI0OGNlYTkxYzZlNTQ4MTU5ZWQ2MWYzNjgxNDg4ZDY3In0.XOwzDtTpAayGbH8auQbG96Qqmd1sivx8w59S60pm19g"
    }
}
```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 用户信息业务

### 查询用户信息业务列表

**请求URL:** user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|用户ID，主键，自增长
&emsp;&emsp;loginName|String|登录名
&emsp;&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;userType|Integer|用户类型(0.系统用户,1.普通用户,2.工作人员)
&emsp;&emsp;siteIds|String|所属站点id,多个逗号分隔
&emsp;&emsp;areaCodes|String|所属区域code,多个逗号分隔
&emsp;&emsp;status|Integer|用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址
dict|object|字典对象
&emsp;userType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看用户信息业务

**请求URL:** user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看用户信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/user/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|用户ID，主键，自增长
&emsp;loginName|String|登录名
&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;realName|String|用户名
&emsp;mobile|String|用户手机号
&emsp;phone|String|用户联系电话
&emsp;email|String|用户邮箱
&emsp;qq|String|QQ号码
&emsp;userType|Integer|用户类型(0.系统用户,1.普通用户,2.工作人员)
&emsp;siteIds|String|所属站点id,多个逗号分隔
&emsp;areaCodes|String|所属区域code,多个逗号分隔
&emsp;status|Integer|用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;lastLoginAddress|String|最后一次登录地址
dict|object|字典对象
&emsp;userType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3476,
            "loginName":"pvnl27",
            "loginPwd":"izbru3",
            "loginLimitAddress":"bpvgc9",
            "realName":"3y7knu",
            "mobile":"02xs3t",
            "phone":"aoqnmo",
            "email":"ecyoti",
            "qq":"420syx",
            "userType":4214,
            "siteIds":"m54eoc",
            "areaCodes":"utuj9d",
            "status":8589,
            "createTime":"2022-06-02",
            "createUserId":9375,
            "createUserName":"ts6g6e",
            "lastLoginTime":"2022-06-02",
            "lastLoginAddress":"mwpz6s"
        }
}
```

### 保存更新用户信息业务

**请求URL:** user/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新用户信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
loginName|String|是|登录名
loginPwd|String|是|登录密码，使用md5双次加密
loginLimitAddress|String|是|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
realName|String|是|用户名
mobile|String|是|用户手机号
phone|String|是|用户联系电话
email|String|是|用户邮箱
qq|String|是|QQ号码
userType|Integer|是|用户类型(0.系统用户,1.普通用户,2.工作人员)
siteIds|String|是|所属站点id,多个逗号分隔
areaCodes|String|是|所属区域code,多个逗号分隔
status|Integer|是|用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
createUserName|String|是|创建用户名称
lastLoginTime|Date|是|最后一次登录时间
lastLoginAddress|String|是|最后一次登录地址

**请求样例:**
```
{
    "loginName":"6njc9h",
    "loginPwd":"e8iiea",
    "loginLimitAddress":"ljhkil",
    "realName":"coyvcd",
    "mobile":"avklzq",
    "phone":"6da3c3",
    "email":"yyl8wf",
    "qq":"y8tw1p",
    "userType":4441,
    "siteIds":"hgh6s1",
    "areaCodes":"a4cexd",
    "status":710,
    "createUserName":"p1hifg",
    "lastLoginTime":"2022-06-02",
    "lastLoginAddress":"gcs2a3"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|用户ID，主键，自增长
&emsp;&emsp;loginName|String|登录名
&emsp;&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;userType|Integer|用户类型(0.系统用户,1.普通用户,2.工作人员)
&emsp;&emsp;siteIds|String|所属站点id,多个逗号分隔
&emsp;&emsp;areaCodes|String|所属区域code,多个逗号分隔
&emsp;&emsp;status|Integer|用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除用户信息业务

**请求URL:** user/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除用户信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/user/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色信息

### 查询角色信息列表

**请求URL:** role/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|角色名称
&emsp;&emsp;roleCode|String|角色编码
&emsp;&emsp;roleSort|Integer|角色排序字段
&emsp;&emsp;roleType|Integer|角色类型(0.系统内置角色，1.默认系统角色，2.普通角色)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;roleType|Integer|角色状态（0.停用，1.启用）
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;roleType|object|字典属性对象，详见附录
&emsp;roleType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色信息

**请求URL:** role/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|角色名称
&emsp;roleCode|String|角色编码
&emsp;roleSort|Integer|角色排序字段
&emsp;roleType|Integer|角色类型(0.系统内置角色，1.默认系统角色，2.普通角色)
&emsp;remark|String|备注
&emsp;roleType|Integer|角色状态（0.停用，1.启用）
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;roleType|object|字典属性对象，详见附录
&emsp;roleType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7241,
            "name":"c9szsk",
            "roleCode":"c2f41g",
            "roleSort":2788,
            "roleType":541,
            "remark":"tym2dx",
            "roleType":3737,
            "createTime":"2022-06-02",
            "createUserId":5091,
            "createUserName":"zx9ud1"
        }
}
```

### 保存更新角色信息

**请求URL:** role/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|角色名称
roleCode|String|是|角色编码
roleSort|Integer|是|角色排序字段
roleType|Integer|是|角色类型(0.系统内置角色，1.默认系统角色，2.普通角色)
remark|String|是|备注
roleType|Integer|是|角色状态（0.停用，1.启用）
createUserName|String|是|创建用户名称

**请求样例:**
```
{
    "name":"i8scn3",
    "roleCode":"nthtg2",
    "roleSort":3063,
    "roleType":6039,
    "remark":"32xaq6",
    "roleType":3352,
    "createUserName":"ztwqjn"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|角色名称
&emsp;&emsp;roleCode|String|角色编码
&emsp;&emsp;roleSort|Integer|角色排序字段
&emsp;&emsp;roleType|Integer|角色类型(0.系统内置角色，1.默认系统角色，2.普通角色)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;roleType|Integer|角色状态（0.停用，1.启用）
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色信息

**请求URL:** role/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色用户关联

### 查询角色用户关联列表

**请求URL:** role/user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色用户关联

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;userId|Long|用户ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色用户关联

**请求URL:** role/user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色用户关联，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/user/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;roleId|Long|角色ID
&emsp;userId|Long|用户ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":5721,
            "roleId":1782,
            "userId":9790
        }
}
```

### 保存更新角色用户关联

**请求URL:** role/user/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色用户关联：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
roleId|Long|是|角色ID
userId|Long|是|用户ID

**请求样例:**
```
{
    "roleId":2572,
    "userId":3424
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;userId|Long|用户ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色用户关联

**请求URL:** role/user/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色用户关联

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/user/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色菜单权限关联

### 查询角色菜单权限关联列表

**请求URL:** role/auth/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色菜单权限关联

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;menuId|Long|菜单ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色菜单权限关联

**请求URL:** role/auth/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色菜单权限关联，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/auth/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;roleId|Long|角色ID
&emsp;menuId|Long|菜单ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3015,
            "roleId":8288,
            "menuId":5161
        }
}
```

### 保存更新角色菜单权限关联

**请求URL:** role/auth/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色菜单权限关联：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
roleId|Long|是|角色ID
menuId|Long|是|菜单ID

**请求样例:**
```
{
    "roleId":3061,
    "menuId":7805
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;menuId|Long|菜单ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色菜单权限关联

**请求URL:** role/auth/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色菜单权限关联

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/auth/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 菜单信息业务

### 查询菜单信息业务列表

**请求URL:** menu/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询菜单信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|菜单名称
&emsp;&emsp;url|String|连接地址
&emsp;&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;&emsp;linkType|Integer|链接方式，(0.普通，1.弹出，2.脚本)
&emsp;&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;&emsp;buttonImgPath|String|按钮图标
&emsp;&emsp;imgCommPath|String|常用菜单图标
&emsp;&emsp;visible|Integer|菜单显示(0.隐藏，1.显示)
&emsp;&emsp;menuType|Integer|菜单类型(0.目录，1.菜单，2.按钮)
&emsp;&emsp;status|Integer|菜单状态(0.禁用，1.启用)
&emsp;&emsp;authType|Integer|权限类型(0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
&emsp;&emsp;orderId|Integer|排序编号
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;linkType|object|字典属性对象，详见附录
&emsp;visible|object|字典属性对象，详见附录
&emsp;menuType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;authType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看菜单信息业务

**请求URL:** menu/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看菜单信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/menu/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|菜单ID，主键，自增长
&emsp;name|String|菜单名称
&emsp;url|String|连接地址
&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;linkType|Integer|链接方式，(0.普通，1.弹出，2.脚本)
&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;buttonImgPath|String|按钮图标
&emsp;imgCommPath|String|常用菜单图标
&emsp;visible|Integer|菜单显示(0.隐藏，1.显示)
&emsp;menuType|Integer|菜单类型(0.目录，1.菜单，2.按钮)
&emsp;status|Integer|菜单状态(0.禁用，1.启用)
&emsp;authType|Integer|权限类型(0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
&emsp;orderId|Integer|排序编号
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;linkType|object|字典属性对象，详见附录
&emsp;visible|object|字典属性对象，详见附录
&emsp;menuType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录
&emsp;authType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6665,
            "name":"4hfb9i",
            "url":"aozik5",
            "parentId":7827,
            "linkType":6399,
            "imgPath":"3q4cuk",
            "buttonImgPath":"ctbxdj",
            "imgCommPath":"ie3v9e",
            "visible":5636,
            "menuType":6851,
            "status":7330,
            "authType":9906,
            "orderId":6861,
            "createTime":"2022-06-02",
            "createUserId":2189,
            "createUserName":"zov8bo"
        }
}
```

### 保存更新菜单信息业务

**请求URL:** menu/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新菜单信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|菜单名称
url|String|是|连接地址
parentId|Long|是|父菜单ID，一级菜单的该字段值为-1
linkType|Integer|是|链接方式，(0.普通，1.弹出，2.脚本)
imgPath|String|是|主菜单图标，主菜单图标的css样式名
buttonImgPath|String|是|按钮图标
imgCommPath|String|是|常用菜单图标
visible|Integer|是|菜单显示(0.隐藏，1.显示)
menuType|Integer|是|菜单类型(0.目录，1.菜单，2.按钮)
status|Integer|是|菜单状态(0.禁用，1.启用)
authType|Integer|是|权限类型(0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
orderId|Integer|是|排序编号
createUserName|String|是|创建用户名称

**请求样例:**
```
{
    "name":"et5j3o",
    "url":"v2m86a",
    "parentId":9580,
    "linkType":5726,
    "imgPath":"o42z3k",
    "buttonImgPath":"fo569j",
    "imgCommPath":"vvt1wp",
    "visible":6295,
    "menuType":1691,
    "status":6170,
    "authType":1321,
    "orderId":5749,
    "createUserName":"kjjdbc"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|菜单名称
&emsp;&emsp;url|String|连接地址
&emsp;&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;&emsp;linkType|Integer|链接方式，(0.普通，1.弹出，2.脚本)
&emsp;&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;&emsp;buttonImgPath|String|按钮图标
&emsp;&emsp;imgCommPath|String|常用菜单图标
&emsp;&emsp;visible|Integer|菜单显示(0.隐藏，1.显示)
&emsp;&emsp;menuType|Integer|菜单类型(0.目录，1.菜单，2.按钮)
&emsp;&emsp;status|Integer|菜单状态(0.禁用，1.启用)
&emsp;&emsp;authType|Integer|权限类型(0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
&emsp;&emsp;orderId|Integer|排序编号
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除菜单信息业务

**请求URL:** menu/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除菜单信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/menu/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 上传文件业务

### 查询上传文件业务列表

**请求URL:** uploadfile/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询上传文件业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|ID，主键，自增长
&emsp;&emsp;fileName|String|文件名称
&emsp;&emsp;filePath|String|文件路径
&emsp;&emsp;fileType|Integer|文件类型，(1.excel ,2. img,3.zip, 4.pdf)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUser|String|创建用户
dict|object|字典对象
&emsp;fileType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看上传文件业务

**请求URL:** uploadfile/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看上传文件业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/uploadfile/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|ID，主键，自增长
&emsp;fileName|String|文件名称
&emsp;filePath|String|文件路径
&emsp;fileType|Integer|文件类型，(1.excel ,2. img,3.zip, 4.pdf)
&emsp;createTime|Date|创建时间
&emsp;createUser|String|创建用户
dict|object|字典对象
&emsp;fileType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":333,
            "fileName":"hoic00",
            "filePath":"59xnyt",
            "fileType":1497,
            "createTime":"2022-06-02",
            "createUser":"l5t7ok"
        }
}
```

### 保存更新上传文件业务

**请求URL:** uploadfile/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新上传文件业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
fileName|String|是|文件名称
filePath|String|是|文件路径
fileType|Integer|是|文件类型，(1.excel ,2. img,3.zip, 4.pdf)

**请求样例:**
```
{
    "fileName":"bznd4w",
    "filePath":"10n94m",
    "fileType":6866,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|ID，主键，自增长
&emsp;&emsp;fileName|String|文件名称
&emsp;&emsp;filePath|String|文件路径
&emsp;&emsp;fileType|Integer|文件类型，(1.excel ,2. img,3.zip, 4.pdf)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUser|String|创建用户

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除上传文件业务

**请求URL:** uploadfile/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除上传文件业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/uploadfile/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## API服务

### 查询API服务列表

**请求URL:** system/service/api/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询API服务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|系统API的ID，主键，自增长
&emsp;&emsp;systemServiceName|String|模块名称
&emsp;&emsp;systemServiceCode|String|模块编码
&emsp;&emsp;systemServiceUrl|String|模块地址
&emsp;&emsp;apiName|String|API接口名称
&emsp;&emsp;apiUrl|String|API接口（链接）
&emsp;&emsp;apiVersion|String|API接口版本
&emsp;&emsp;apiStatus|Integer|API接口状态(1:启用,0:停用)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;lapseTime|Date|失效时间
&emsp;&emsp;apiRemark|String|API接口说明
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看API服务

**请求URL:** system/service/api/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看API服务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/system/service/api/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|系统API的ID，主键，自增长
&emsp;systemServiceName|String|模块名称
&emsp;systemServiceCode|String|模块编码
&emsp;systemServiceUrl|String|模块地址
&emsp;apiName|String|API接口名称
&emsp;apiUrl|String|API接口（链接）
&emsp;apiVersion|String|API接口版本
&emsp;apiStatus|Integer|API接口状态(1:启用,0:停用)
&emsp;createTime|Date|创建时间
&emsp;lapseTime|Date|失效时间
&emsp;apiRemark|String|API接口说明
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7011,
            "systemServiceName":"tygqb6",
            "systemServiceCode":"bvuijc",
            "systemServiceUrl":"rrzv6a",
            "apiName":"37zhe1",
            "apiUrl":"b5x1bd",
            "apiVersion":"hjsc6r",
            "apiStatus":9227,
            "createTime":"2022-06-02",
            "lapseTime":"2022-06-02",
            "apiRemark":"1s93wj"
        }
}
```

### 保存更新API服务

**请求URL:** system/service/api/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新API服务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
systemServiceName|String|是|模块名称
systemServiceCode|String|是|模块编码
systemServiceUrl|String|是|模块地址
apiName|String|是|API接口名称
apiUrl|String|是|API接口（链接）
apiVersion|String|是|API接口版本
apiStatus|Integer|是|API接口状态(1:启用,0:停用)
lapseTime|Date|是|失效时间
apiRemark|String|是|API接口说明

**请求样例:**
```
{
    "systemServiceName":"qjphl0",
    "systemServiceCode":"d5huw6",
    "systemServiceUrl":"51krbp",
    "apiName":"hmaj25",
    "apiUrl":"hvikv5",
    "apiVersion":"angohp",
    "apiStatus":8269,
    "lapseTime":"2022-06-02",
    "apiRemark":"la6o62"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|系统API的ID，主键，自增长
&emsp;&emsp;systemServiceName|String|模块名称
&emsp;&emsp;systemServiceCode|String|模块编码
&emsp;&emsp;systemServiceUrl|String|模块地址
&emsp;&emsp;apiName|String|API接口名称
&emsp;&emsp;apiUrl|String|API接口（链接）
&emsp;&emsp;apiVersion|String|API接口版本
&emsp;&emsp;apiStatus|Integer|API接口状态(1:启用,0:停用)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;lapseTime|Date|失效时间
&emsp;&emsp;apiRemark|String|API接口说明

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除API服务

**请求URL:** system/service/api/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除API服务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/system/service/api/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## API服务

### 查询API服务列表

**请求URL:** system/service/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询API服务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|系统API的ID，主键，自增长
&emsp;&emsp;systemServiceName|String|模块名称
&emsp;&emsp;systemServiceCode|String|模块编码
&emsp;&emsp;systemServiceUrl|String|模块地址
&emsp;&emsp;packageName|String|包名称
&emsp;&emsp;packagePath|String|包的下载路径
&emsp;&emsp;packageVersion|String|包的版本
&emsp;&emsp;apiStatus|Integer|包的状态(1:启用,0:停用)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;lapseTime|Date|失效时间
&emsp;&emsp;packageRemark|String|包的说明
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看API服务

**请求URL:** system/service/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看API服务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/system/service/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|系统API的ID，主键，自增长
&emsp;systemServiceName|String|模块名称
&emsp;systemServiceCode|String|模块编码
&emsp;systemServiceUrl|String|模块地址
&emsp;packageName|String|包名称
&emsp;packagePath|String|包的下载路径
&emsp;packageVersion|String|包的版本
&emsp;apiStatus|Integer|包的状态(1:启用,0:停用)
&emsp;createTime|Date|创建时间
&emsp;lapseTime|Date|失效时间
&emsp;packageRemark|String|包的说明
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9737,
            "systemServiceName":"79g6p0",
            "systemServiceCode":"muoxnm",
            "systemServiceUrl":"fwy71w",
            "packageName":"rxiw2c",
            "packagePath":"knwyb3",
            "packageVersion":"slmu46",
            "apiStatus":4063,
            "createTime":"2022-06-02",
            "lapseTime":"2022-06-02",
            "packageRemark":"uaovbk"
        }
}
```

### 保存更新API服务

**请求URL:** system/service/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新API服务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
systemServiceName|String|是|模块名称
systemServiceCode|String|是|模块编码
systemServiceUrl|String|是|模块地址
packageName|String|是|包名称
packagePath|String|是|包的下载路径
packageVersion|String|是|包的版本
apiStatus|Integer|是|包的状态(1:启用,0:停用)
lapseTime|Date|是|失效时间
packageRemark|String|是|包的说明

**请求样例:**
```
{
    "systemServiceName":"72pftp",
    "systemServiceCode":"5r4y52",
    "systemServiceUrl":"yq978x",
    "packageName":"ow8fl3",
    "packagePath":"juz77b",
    "packageVersion":"55quoy",
    "apiStatus":2792,
    "lapseTime":"2022-06-02",
    "packageRemark":"j31p56"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|系统API的ID，主键，自增长
&emsp;&emsp;systemServiceName|String|模块名称
&emsp;&emsp;systemServiceCode|String|模块编码
&emsp;&emsp;systemServiceUrl|String|模块地址
&emsp;&emsp;packageName|String|包名称
&emsp;&emsp;packagePath|String|包的下载路径
&emsp;&emsp;packageVersion|String|包的版本
&emsp;&emsp;apiStatus|Integer|包的状态(1:启用,0:停用)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;lapseTime|Date|失效时间
&emsp;&emsp;packageRemark|String|包的说明

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除API服务

**请求URL:** system/service/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除API服务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/system/service/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 参数信息业务

### 查询参数信息业务列表

**请求URL:** param/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询参数信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|参数名称
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;&emsp;paramKey|String|参数键，全局唯一
&emsp;&emsp;paramValue|String|参数值
&emsp;&emsp;validStatus|Integer|参数有效状态，(0.禁用，1.启用)
&emsp;&emsp;modStatus|Integer|参数修改状态(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
&emsp;&emsp;displayType|Integer|展现类型(0.普通文本框，1.多行文本框，2.开关，3.块输入框)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;validStatus|object|字典属性对象，详见附录
&emsp;modStatus|object|字典属性对象，详见附录
&emsp;displayType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看参数信息业务

**请求URL:** param/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看参数信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/param/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|参数名称
&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;paramKey|String|参数键，全局唯一
&emsp;paramValue|String|参数值
&emsp;validStatus|Integer|参数有效状态，(0.禁用，1.启用)
&emsp;modStatus|Integer|参数修改状态(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
&emsp;displayType|Integer|展现类型(0.普通文本框，1.多行文本框，2.开关，3.块输入框)
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;validStatus|object|字典属性对象，详见附录
&emsp;modStatus|object|字典属性对象，详见附录
&emsp;displayType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1964,
            "name":"ki4jof",
            "firstOrganize":"n8hp8g",
            "secondOrganize":"vytdjr",
            "paramKey":"2va33d",
            "paramValue":"uvqalw",
            "validStatus":95,
            "modStatus":8891,
            "displayType":118,
            "remark":"1igdsr",
            "createTime":"2022-06-02",
            "createUserId":9470,
            "createUserName":"hf2ro7"
        }
}
```

### 保存更新参数信息业务

**请求URL:** param/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新参数信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|参数名称
firstOrganize|String|是|一级组织，如：平台配置
secondOrganize|String|是|二级组织，如：基础配置
paramKey|String|是|参数键，全局唯一
paramValue|String|是|参数值
validStatus|Integer|是|参数有效状态，(0.禁用，1.启用)
modStatus|Integer|是|参数修改状态(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
displayType|Integer|是|展现类型(0.普通文本框，1.多行文本框，2.开关，3.块输入框)
remark|String|是|备注
createUserName|String|是|创建用户名称

**请求样例:**
```
{
    "name":"f07rkf",
    "firstOrganize":"bdwqlr",
    "secondOrganize":"zfi108",
    "paramKey":"f9vj9x",
    "paramValue":"m1yxt4",
    "validStatus":6996,
    "modStatus":6263,
    "displayType":4365,
    "remark":"cnu1t0",
    "createUserName":"l31hcb"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|参数名称
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;&emsp;paramKey|String|参数键，全局唯一
&emsp;&emsp;paramValue|String|参数值
&emsp;&emsp;validStatus|Integer|参数有效状态，(0.禁用，1.启用)
&emsp;&emsp;modStatus|Integer|参数修改状态(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
&emsp;&emsp;displayType|Integer|展现类型(0.普通文本框，1.多行文本框，2.开关，3.块输入框)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除参数信息业务

**请求URL:** param/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除参数信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/param/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 任务信息业务

### 查询任务信息业务列表

**请求URL:** task/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询任务信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|任务名称
&emsp;&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;&emsp;status|Integer|任务状态，(0,未启动，1.执行中)
&emsp;&emsp;excuteService|String|任务执行服务
&emsp;&emsp;excuteParam|String|任务执行参数
&emsp;&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;&emsp;excuteStrategy|Integer|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)
&emsp;&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；
&emsp;&emsp;excuteTime|String|执行时间，格式：HH:mm，
&emsp;&emsp;remark|String|备注
&emsp;&emsp;lastExcuteHost|String|最后执行主机
&emsp;&emsp;lastExcuteTime|Date|最后执行时间
&emsp;&emsp;interimExcuteStatus|Integer|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;status|object|字典属性对象，详见附录
&emsp;excuteStrategy|object|字典属性对象，详见附录
&emsp;interimExcuteStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看任务信息业务

**请求URL:** task/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看任务信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/task/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|任务名称
&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;status|Integer|任务状态，(0,未启动，1.执行中)
&emsp;excuteService|String|任务执行服务
&emsp;excuteParam|String|任务执行参数
&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;excuteStrategy|Integer|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)
&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；
&emsp;excuteTime|String|执行时间，格式：HH:mm，
&emsp;remark|String|备注
&emsp;lastExcuteHost|String|最后执行主机
&emsp;lastExcuteTime|Date|最后执行时间
&emsp;interimExcuteStatus|Integer|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;status|object|字典属性对象，详见附录
&emsp;excuteStrategy|object|字典属性对象，详见附录
&emsp;interimExcuteStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6172,
            "name":"hbt2lp",
            "taskKey":"x6t812",
            "status":8987,
            "excuteService":"pvba97",
            "excuteParam":"0x3ln2",
            "excuteHost":"n0eg2u",
            "excuteStrategy":9806,
            "excuteDate":3911,
            "excuteTime":"ayetg0",
            "remark":"ldtl5d",
            "lastExcuteHost":"jcztp4",
            "lastExcuteTime":"2022-06-02",
            "interimExcuteStatus":7901,
            "createTime":"2022-06-02",
            "createUserId":1471,
            "createUserName":"mmso1q"
        }
}
```

### 保存更新任务信息业务

**请求URL:** task/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新任务信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|任务名称
taskKey|String|是|任务关键字，区分任务执行流程
status|Integer|是|任务状态，(0,未启动，1.执行中)
excuteService|String|是|任务执行服务
excuteParam|String|是|任务执行参数
excuteHost|String|是|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
excuteStrategy|Integer|是|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)
excuteDate|Long|是|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；
excuteTime|String|是|执行时间，格式：HH:mm，
remark|String|是|备注
lastExcuteHost|String|是|最后执行主机
lastExcuteTime|Date|是|最后执行时间
interimExcuteStatus|Integer|是|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)
createUserName|String|是|创建用户名称

**请求样例:**
```
{
    "name":"mw99q3",
    "taskKey":"ik0shq",
    "status":1748,
    "excuteService":"x9xq4q",
    "excuteParam":"k1x6jh",
    "excuteHost":"5qha0s",
    "excuteStrategy":2523,
    "excuteDate":9933,
    "excuteTime":"fgiec0",
    "remark":"khc1mc",
    "lastExcuteHost":"rbntny",
    "lastExcuteTime":"2022-06-02",
    "interimExcuteStatus":8141,
    "createUserName":"cb5yx5"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|任务名称
&emsp;&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;&emsp;status|Integer|任务状态，(0,未启动，1.执行中)
&emsp;&emsp;excuteService|String|任务执行服务
&emsp;&emsp;excuteParam|String|任务执行参数
&emsp;&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;&emsp;excuteStrategy|Integer|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)
&emsp;&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；
&emsp;&emsp;excuteTime|String|执行时间，格式：HH:mm，
&emsp;&emsp;remark|String|备注
&emsp;&emsp;lastExcuteHost|String|最后执行主机
&emsp;&emsp;lastExcuteTime|Date|最后执行时间
&emsp;&emsp;interimExcuteStatus|Integer|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除任务信息业务

**请求URL:** task/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除任务信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/task/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 操作日志业务

### 查询操作日志业务列表

**请求URL:** oper/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询操作日志业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;platformMark|String|平台标识
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;loginName|String|用户登录名
&emsp;&emsp;requestUrl|String|请求地址
&emsp;&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;&emsp;ip|String|操作IP地址
&emsp;&emsp;logDate|Date|操作时间
&emsp;&emsp;operType|Integer|操作类型，(0.新增,1.修改,2.删除)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
dict|object|字典对象
&emsp;operType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看操作日志业务

**请求URL:** oper/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看操作日志业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/oper/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;platformMark|String|平台标识
&emsp;userId|Long|用户id
&emsp;userName|String|用户名称
&emsp;loginName|String|用户登录名
&emsp;requestUrl|String|请求地址
&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;ip|String|操作IP地址
&emsp;logDate|Date|操作时间
&emsp;operType|Integer|操作类型，(0.新增,1.修改,2.删除)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
dict|object|字典对象
&emsp;operType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6064,
            "platformMark":"8kzvmw",
            "userId":261,
            "userName":"197cjh",
            "loginName":"0sku2y",
            "requestUrl":"bim4px",
            "content":"udmwqz",
            "ip":"kyeyk0",
            "logDate":"2022-06-02",
            "operType":2651,
            "createTime":"2022-06-02",
            "createUserId":2668
        }
}
```

### 保存更新操作日志业务

**请求URL:** oper/log/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新操作日志业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
platformMark|String|是|平台标识
userId|Long|是|用户id
userName|String|是|用户名称
loginName|String|是|用户登录名
requestUrl|String|是|请求地址
content|String|是|操作内容，记录操作具体信息，如修改前修改或的数据
ip|String|是|操作IP地址
logDate|Date|是|操作时间
operType|Integer|是|操作类型，(0.新增,1.修改,2.删除)

**请求样例:**
```
{
    "platformMark":"zd7mbs",
    "userId":3160,
    "userName":"vl8g4v",
    "loginName":"qk4e4v",
    "requestUrl":"e2rkbv",
    "content":"exflzy",
    "ip":"hmem4i",
    "logDate":"2022-06-02",
    "operType":8740,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;platformMark|String|平台标识
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;loginName|String|用户登录名
&emsp;&emsp;requestUrl|String|请求地址
&emsp;&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;&emsp;ip|String|操作IP地址
&emsp;&emsp;logDate|Date|操作时间
&emsp;&emsp;operType|Integer|操作类型，(0.新增,1.修改,2.删除)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除操作日志业务

**请求URL:** oper/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除操作日志业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/oper/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 字典附录
### userType
字典参数key|字典参数值|其它
:---|:---|:---
0|系统用户|-
1|普通用户|-
2|工作人员|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
0|停用|-
1|正常|-
2|冻结|-
3|销户|-
4|离职|-
### roleType
字典参数key|字典参数值|其它
:---|:---|:---
0|系统内置角色|-
1|默认系统角色|-
2|普通角色|-
### roleType
字典参数key|字典参数值|其它
:---|:---|:---
0|停用|-
1|启用|-
### linkType
字典参数key|字典参数值|其它
:---|:---|:---
0|普通|-
1|弹出|-
2|脚本|-
### visible
字典参数key|字典参数值|其它
:---|:---|:---
0|隐藏|-
1|显示|-
### menuType
字典参数key|字典参数值|其它
:---|:---|:---
0|目录|-
1|菜单|-
2|按钮|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
0|禁用|-
1|启用|-
### authType
字典参数key|字典参数值|其它
:---|:---|:---
0|无限制|-
1|无需登录查看|-
2|需要登录查看|-
3|需要角色权限查看|-
### fileType
字典参数key|字典参数值|其它
:---|:---|:---
1|excel|-
2|img|-
3|zip|-
4|pdf|-
### validStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|禁用|-
1|启用|-
### modStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|隐藏|-
1|页面仅查看|-
2|页面可修改|-
3|页面可删除|-
4|页面可修改删除|-
### displayType
字典参数key|字典参数值|其它
:---|:---|:---
0|普通文本框|-
1|多行文本框|-
2|开关|-
3|块输入框|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
1|执行中|-
### excuteStrategy
字典参数key|字典参数值|其它
:---|:---|:---
1|按日|-
2|按周|-
3|按月|-
4|按间隔时间|-
### interimExcuteStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|未启用|-
1|立即执行并保留|-
2|立即执行并删除|-
### operType
字典参数key|字典参数值|其它
:---|:---|:---
0|新增|-
1|修改|-
2|删除|-
